%define major 0
%define api 1.0
%define libname %mklibname unique %{api} %{major}
%define girname %mklibname unique-gir %{api}
%define devname %mklibname unique -d

Summary:	Library for creating single instance applications
Name:		libunique
Version:	1.1.6
Release:	9
License:	LGPLv2+
Group:		System/Libraries
Url:		http://live.gnome.org/LibUnique
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		unique-1.0.6-fix-str-fmt.patch
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
Unique is a library for creating single instance applications.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for creating single instance applications
Group:		System/Libraries
Conflicts:	%{_lib}unique0 < 1.1.6-9
Obsoletes:	%{_lib}unique0 < 1.1.6-9

%description -n %{libname}
Unique is a library for creating single instance applications.

%files -n %{libname}
%{_libdir}/libunique-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Conflicts:	gir-repository < 0.6.5-3
Conflicts:	%{_lib}unique0 < 1.1.6-9

%description -n %{girname}
GObject Introspection files for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Unique-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files for development with %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	unique-devel = %{EVRD}
Conflicts:	gir-repository < 0.6.5-3

%description -n %{devname}
Unique is a library for creating single instance applications.

%files -n %{devname}
%doc AUTHORS
%docdir %{_datadir}/gtk-doc/html/unique
%doc %{_datadir}/gtk-doc/html/unique/*
%{_libdir}/libunique-%{api}.so
%{_libdir}/pkgconfig/unique-%{api}.pc
%{_includedir}/unique-%{api}
%{_datadir}/gir-1.0/Unique-%{api}.gir

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

# this is a hack for glib2.0 >= 2.31.0
sed -i -e 's/-DG_DISABLE_DEPRECATED//g' \
	./unique/Makefile.*

%build
%configure2_5x \
	--disable-static \
	--enable-maintainer-flags=no

%make

%install
%makeinstall_std


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.6-9
- (deeef00) Fix library package name
- (deeef00) Move GObject Introspection file into individual package according to library packaging policy
- (deeef00) Spec cleanup


